curl --request PATCH \
--url https://api.hubapi.com/conversations/v3/custom-channels/{channelId}/channel-account-staging-tokens/{accountToken} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountName": "<string>",
"deliveryIdentifier": {
"type": "CHANNEL_SPECIFIC_OPAQUE_ID",
"value": "<string>"
}
}
'{
"accountToken": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"genericChannelId": 123,
"inboxId": 123,
"userId": 123,
"accountName": "<string>",
"deliveryIdentifier": {
"type": "CHANNEL_SPECIFIC_OPAQUE_ID",
"value": "<string>"
}
}Update a channel account staging token’s account name and delivery identifier. This information will be applied to the channel account created from this staging token. This is used for public apps.
curl --request PATCH \
--url https://api.hubapi.com/conversations/v3/custom-channels/{channelId}/channel-account-staging-tokens/{accountToken} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountName": "<string>",
"deliveryIdentifier": {
"type": "CHANNEL_SPECIFIC_OPAQUE_ID",
"value": "<string>"
}
}
'{
"accountToken": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"genericChannelId": 123,
"inboxId": 123,
"userId": 123,
"accountName": "<string>",
"deliveryIdentifier": {
"type": "CHANNEL_SPECIFIC_OPAQUE_ID",
"value": "<string>"
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Was this page helpful?